Update a customer (VIES re-check if VAT changes)
PATCH
/admin/v1/customers/{id}
const url = 'https://your-store.example.com/admin/v1/customers/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","phone":"example","vatNumber":"example","isB2b":true,"taxExempt":true,"acceptsMarketing":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://your-store.example.com/admin/v1/customers/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "phone": "example", "vatNumber": "example", "isB2b": true, "taxExempt": true, "acceptsMarketing": true }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
Example generated
{ "name": "example", "phone": "example", "vatNumber": "example", "isB2b": true, "taxExempt": true, "acceptsMarketing": true}